Public Attributes | List of all members
stack_heaps_table_t Struct Reference
BLE » BLE Common | BLE » BLE Event » Structures

The table contains the pointers to four arrays which are used as heap memory by BLE stack in ROM. The size of four arrays depends on the number of connections and the number of attributes of profiles. More...

`#include <ble.h>`

## Public Attributes
uint32_t * | env_ret
uint32_t * | db_ret
uint32_t * | msg_ret
uint32_t * | non_ret
uint32_t | env_ret_size
uint32_t | db_ret_size
uint32_t | msg_ret_size
uint32_t | non_ret_size
uint8_t * | prf_buf
uint32_t | buf_size
uint8_t * | bm_buf
uint32_t | bm_size
uint8_t * | conn_buf
uint32_t | conn_size
uint16_t | em_ble_act_num
uint16_t | em_ble_ral_num
uint16_t | em_ble_adv_buf_nb_tx
uint16_t | em_ble_adv_frag_nb_tx
uint16_t | em_common_offset
uint32_t | ram_size

## Detailed Description

The table contains the pointers to four arrays which are used as heap memory by BLE stack in ROM. The size of four arrays depends on the number of connections and the number of attributes of profiles.

Definition at line 120 of file ble.h.

## Member Data Documentation

## ◆ bm_buf

uint8_t* stack_heaps_table_t::bm_buf

Pointer to the array for bond manager heap

Definition at line 132 of file ble.h.

## ◆ bm_size

uint32_t stack_heaps_table_t::bm_size

The size of the array for bond manager heap

Definition at line 133 of file ble.h.

## ◆ buf_size

uint32_t stack_heaps_table_t::buf_size

The size of the array for profile heap

Definition at line 131 of file ble.h.

## ◆ conn_buf

uint8_t* stack_heaps_table_t::conn_buf

Pointer to the array for connection heap

Definition at line 134 of file ble.h.

## ◆ conn_size

uint32_t stack_heaps_table_t::conn_size

The size of the array for connection heap

Definition at line 135 of file ble.h.

## ◆ db_ret

uint32_t* stack_heaps_table_t::db_ret

Pointer to the array for ATT DB heap

Definition at line 123 of file ble.h.

## ◆ db_ret_size

uint32_t stack_heaps_table_t::db_ret_size

The size of the array for ATT DB heap

Definition at line 127 of file ble.h.

## ◆ em_ble_act_num

uint16_t stack_heaps_table_t::em_ble_act_num

The number of ble maxium activities

Definition at line 137 of file ble.h.

## ◆ em_ble_adv_buf_nb_tx

uint16_t stack_heaps_table_t::em_ble_adv_buf_nb_tx

The number of advertising data buffers

Definition at line 139 of file ble.h.

## ◆ em_ble_adv_frag_nb_tx

uint16_t stack_heaps_table_t::em_ble_adv_frag_nb_tx

The number of advertising or scan response data fragments in extended advertising PDU chain

Definition at line 140 of file ble.h.

## ◆ em_ble_ral_num

uint16_t stack_heaps_table_t::em_ble_ral_num

The number of ble maxium resolvable address list

Definition at line 138 of file ble.h.

## ◆ em_common_offset

uint16_t stack_heaps_table_t::em_common_offset

Start offset of the common EM part

Definition at line 141 of file ble.h.

## ◆ env_ret

uint32_t* stack_heaps_table_t::env_ret

Pointer to the array for environment heap

Definition at line 122 of file ble.h.

## ◆ env_ret_size

uint32_t stack_heaps_table_t::env_ret_size

The size of the array for environment heap

Definition at line 126 of file ble.h.

## ◆ msg_ret

uint32_t* stack_heaps_table_t::msg_ret

Pointer to the array for message heap

Definition at line 124 of file ble.h.

## ◆ msg_ret_size

uint32_t stack_heaps_table_t::msg_ret_size

The size of the array for message heap

Definition at line 128 of file ble.h.

## ◆ non_ret

uint32_t* stack_heaps_table_t::non_ret

Pointer to the array for non-retention heap

Definition at line 125 of file ble.h.

## ◆ non_ret_size

uint32_t stack_heaps_table_t::non_ret_size

The size of the array for non-retention heap

Definition at line 129 of file ble.h.

## ◆ prf_buf

uint8_t* stack_heaps_table_t::prf_buf

Pointer to the array for profile heap

Definition at line 130 of file ble.h.

## ◆ ram_size

uint32_t stack_heaps_table_t::ram_size

ram size

Definition at line 142 of file ble.h.

The documentation for this struct was generated from the following file:

- ble.h